> For the complete documentation index, see [llms.txt](https://doc.wearepatchworks.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.wearepatchworks.com/product-documentation/api-reference/marketplace/flow-templates.md).

# Flow Templates

## List Flow Templates

> Retrieves a paginated list of flow templates included in marketplace blueprints.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Flow Templates"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"FlowTemplatesListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/flow-templates":{"get":{"summary":"List Flow Templates","description":"Retrieves a paginated list of flow templates included in marketplace blueprints.","parameters":[{"name":"filter[name]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by name."},{"name":"filter[hidden_from_marketplace]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by hidden_from_marketplace."},{"name":"filter[visible_for_marketplace]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by visible_for_marketplace."},{"name":"filter[id]","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer"}},"description":"Filter results by id.","style":"form","explode":false},{"name":"filter[blueprint_id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by blueprint_id."},{"name":"filter[,]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by ,."},{"name":"filter[marketplaceApps]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by marketplaceApps."},{"name":"filter[marketplace_apps.blueprint_id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by marketplace_apps.blueprint_id."},{"name":"filter[blueprint_version_number]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by blueprint_version_number."},{"name":"filter[marketplace_apps.version]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by marketplace_apps.version."},{"name":"filter[private]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private."},{"name":"filter[visibility]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by visibility."},{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["systemTemplates.logo","flowStepTemplates","flowStepTemplates.children","flowStepTemplates.parentFlowStep","flowTemplateSchedules","marketplaceCompany","publicCompany","marketplaceApps"]}},"description":"Comma-separated list of relationships to include. Available: systemTemplates.logo, flowStepTemplates, flowStepTemplates.children, flowStepTemplates.parentFlowStep, flowTemplateSchedules, marketplaceCompany, publicCompany, marketplaceApps","style":"form","explode":false},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowTemplatesListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Flow Templates"],"operationId":"patchworksFlowTemplatesIndex"}}}}
```

## Get Flow Template

> Retrieves the details of a specific flow template included in a marketplace blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Flow Templates"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"FlowTemplatesResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/FlowTemplates"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/flow-templates/{flow_template}":{"get":{"summary":"Get Flow Template","description":"Retrieves the details of a specific flow template included in a marketplace blueprint.","parameters":[{"name":"flow_template","in":"path","required":true,"schema":{"type":"string"},"description":"The flow template identifier."},{"name":"include","in":"query","required":false,"schema":{"type":"string"},"description":"Comma-separated list of relationships to include. Available: systemTemplates.logo, flowStepTemplates, flowStepTemplates.children, flowStepTemplates.parentFlowStep, flowTemplateSchedules, marketplaceCompany, publicCompany, marketplaceApps"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowTemplatesResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Flow Templates"],"operationId":"patchworksFlowTemplatesShow"}}}}
```

## Delete Flow Template

> Permanently deletes a specific flow template.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Flow Templates"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/flow-templates/{flow_template}":{"delete":{"summary":"Delete Flow Template","description":"Permanently deletes a specific flow template.","parameters":[{"name":"flow_template","in":"path","required":true,"schema":{"type":"string"},"description":"The flow template identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Flow Templates"],"operationId":"patchworksFlowTemplatesDestroy"}}}}
```

## List Flow Template Steps

> Retrieves a paginated list of steps for a specific flow template.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Flow Templates"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"PatchworksListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Patchworks"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"Patchworks":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"string"},"protocol":{"type":"string","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"company_id":{"type":"string"},"date_format":{"type":"string"},"help_link":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/flow-templates/{flow_template}/steps":{"get":{"summary":"List Flow Template Steps","description":"Retrieves a paginated list of steps for a specific flow template.","parameters":[{"name":"flow_template","in":"path","required":true,"schema":{"type":"string"},"description":"The flow template identifier."},{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["children","parentFlowStep","flowStepTemplateRoutes.firstStepTemplate","systemTemplate","systemTemplate.logo","endpointTemplate","endpointTemplate.systemTemplate","endpointTemplate.systemTemplate.logo"]}},"description":"Comma-separated list of relationships to include. Available: children, parentFlowStep, flowStepTemplateRoutes.firstStepTemplate, systemTemplate, systemTemplate.logo, endpointTemplate, endpointTemplate.systemTemplate, endpointTemplate.systemTemplate.logo","style":"form","explode":false},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchworksListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Flow Templates"],"operationId":"patchworksFlowTemplatesStepsIndex"}}}}
```

## Install Flow Template

> Installs a specific flow template from a marketplace blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Flow Templates"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/flow-templates/{flow_template}/install":{"post":{"summary":"Install Flow Template","description":"Installs a specific flow template from a marketplace blueprint.","parameters":[{"name":"flow_template","in":"path","required":true,"schema":{"type":"string"},"description":"The flow template identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Flow Templates"],"operationId":"flowTemplatesInstall"}}}}
```
